Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1308682 - please update spec file to provide python2 and python3 library
Summary: please update spec file to provide python2 and python3 library
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: livereload
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: William Moreno
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1312089 1342688
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-02-15 17:52 UTC by Matthias Runge
Modified: 2017-01-12 16:54 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-12 16:54:57 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Matthias Runge 2016-02-15 17:52:14 UTC
Description of problem:
livereload works both on python2 and python3. Please provide subpackages.

Comment 1 William Moreno 2016-02-19 15:57:28 UTC
There is a subpackage for python2-livereload and livereload provides python3-livereload:

http://koji.fedoraproject.org/koji/taskinfo?taskID=13049434

Test for python2 fails for a missing library so I am testing only with python3, I have livereload for mkdocs than is packaged only for python3 so I really do not use the python2 subpackage, there is not test here:

https://apps.fedoraproject.org/packages/python-livereload/sources/

Can you confirm than the python2 subpackage work.

Comment 3 Jan Kurik 2016-02-24 15:22:02 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase


Note You need to log in before you can comment on or make changes to this bug.